
Infrastructure - Task #6009

Story # 2829 (Closed): Structural changes to D1 Data Types schema for Version 2.0 release

Node service registration

2014-07-29 18:40 - Ben Leinfelder

Status: Rejected Start date: 2014-07-29

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Need to add entry point for member nodes to advertise their additional (non-dataone) services.

http://mule1.dataone.org/ArchitectureDocs-current/design/MemberNodeServicesRegistration.html

Associated revisions

Revision 16150 - 2015-08-24 21:43 - Rob Nahf

refs: #6009  removing hold-over types 'FormatList' and 'ServiceExtension' related to rejected design for registering MN services.

Revision 16150 - 2015-08-24 21:43 - Rob Nahf

refs: #6009  removing hold-over types 'FormatList' and 'ServiceExtension' related to rejected design for registering MN services.

History

#1 - 2014-10-01 16:57 - Robert Waltz

- Target version set to CCI-2.0.0

#2 - 2015-04-20 13:59 - Dave Vieglais

- Status changed from New to Rejected

- translation missing: en.field_remaining_hours set to 0.0

The approach to be followed is to leverage the existing infrastructure and utilize metadata formats that are suitable for describing services that may be

available at member nodes or other locations.

There are no structural changes required to support this.
